//GLASS

textures/ut4_blackhawk/copterglass
{
	qer_editorimage textures/ut4_blackhawk/copterglass.tga
	cull disable
	qer_trans 0.6
	{
		map textures/ut4_blackhawk/tinfx2pax.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}


textures/Test/Panzerglas
{
	qer_editorimage textures/Test/grey3.tga
	cull disable
	surfaceparm trans
	{
		map textures/Test/grey3.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}

textures/urban_terror2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	1.0
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

//HIMMEL

textures/ozedood/inletdusk
{
	qer_editorimage textures/ozedood/inletsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .5 .37 .19 500 130 55
	//q3map_surfacelight 200
	
	skyparms env/inletdusk/inletdusk - -
	
}

textures/sliema/sky
{
	qer_editorimage textures/sliema/sky_arc_masked.tga

	q3map_lightimage textures/common/Orange_250_160_100_m20.tga
	
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 1 1 85 185 50 2 16 
				//was 75 intensity changed to 85 5/2/06
				//q3map_sunEXT 1 0.92 0.97 90 180 50 2 16
				//q3map_skylight 125 5
	q3map_skylight 160 5
				// SKYLIGHT WAS 150 PRE 19FEB	
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	
	skyparms textures/sliema/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/sliema/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/sliema/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}

//LEITER
textures/ut_202/woodladder
{
        qer_editorimage textures/ut_202/woodladder_64x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/woodladder_64x64.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



//NEBEL

textures/sliema/horizon_fog
{
	qer_editorimage textures/sliema/fog.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	//surfaceparm nomarks
	//surfaceparm nolightmap
	fogparms ( 0.749019 0.7098039 0.6078431 ) 768

	q3map_bouncescale 0

	//{
	//	map $whiteimage
	//	blendfunc gl_zero gl_one
	//}
}


textures/sliema/fog_caulk
{
	qer_editorimage textures/sliema/fog_caulk.tga
	qer_trans 0.7
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nodraw
	//surfaceparm nomarks
	//surfaceparm nolightmap
	fogparms ( 0.749019 0.7098039 0.6078431 ) 768
	q3map_bouncescale 0

	//{
	//	map $whiteimage
	//	blendfunc gl_zero gl_one
	//}
}


//textures/sliema/fog_nodraw
//{
//	qer_editorimage textures/sliema/fog_nodraw.tga
//	qer_trans 0.7
//	//surfaceparm trans
//	//surfaceparm nonsolid
//	surfaceparm fog
//	//surfaceparm nomarks
//	//surfaceparm nolightmap
//
//	surfaceparm trans
//	surfaceparm nodraw
//	surfaceparm nonsolid
//	surfaceparm nolightmap
//}